Index: iaxclient_lib.c
===================================================================
--- iaxclient_lib.c	(revision 566)
+++ iaxclient_lib.c	(working copy)
@@ -470,7 +470,13 @@
 			break;
 #endif
 		default:
+		case AUDIO_INTERNAL_PA_PRESETMIXER:
+			audio.donottouchmixer=1;
+			if (pa_initialize(&audio, 8000))
+				return -1;
+			break;
 		case AUDIO_INTERNAL_PA:
+			audio.donottouchmixer=0;
 			if (pa_initialize(&audio, 8000))
 				return -1;
 			break;
Index: iaxclient_lib.h
===================================================================
--- iaxclient_lib.h	(revision 566)
+++ iaxclient_lib.h	(working copy)
@@ -149,6 +149,9 @@
 	/* mic boost */
 	int (*mic_boost_get)(struct iaxc_audio_driver *d ) ;
 	int (*mic_boost_set)(struct iaxc_audio_driver *d, int enable);
+	
+	/* used to handle an initialize call request to leave the mixer alone */
+	int donottouchmixer;
 }; 
 
 struct iaxc_video_driver {
Index: audio_portaudio.c
===================================================================
--- audio_portaudio.c	(revision 566)
+++ audio_portaudio.c	(working copy)
@@ -680,7 +680,12 @@
 	    auxStream = 0;
 	}
     }
+    /* don't mess with the mixer if requested not to */
+    if ( d->donottouchmixer != 0 ) {
+        mixers_initialized = 1;
+    }
 
+
     /* select the microphone as the input source */
     if ( iMixer != NULL && !mixers_initialized )
     {
Index: iaxclient.h
===================================================================
--- iaxclient.h	(revision 566)
+++ iaxclient.h	(working copy)
@@ -60,6 +60,7 @@
 #define AUDIO_INTERNAL_PA 1
 #define AUDIO_INTERNAL_FILE 2
 #define AUDIO_INTERNAL_ALSA 3
+#define AUDIO_INTERNAL_PA_PRESETMIXER 4
 #define AUDIO_EXTERNAL 99
 
 /* payload formats : WARNING: must match libiax values!!! */
